include("lib.prototype");

include("fitbank.logger");

include("fitbank.ui.teclas");

/**
 * Namespace Barra - Define funciones para manejo de la barra de tareas.
 */
var Barra = {

    BOTONES: $A( [ {
        nombre: "nueva",
        titulo: "Nueva ventana",
        onclick: Teclas.ACCIONES.nueva.evento
    }, {
        nombre: "menu",
        titulo: "Menu transacciones (F11)",
        onclick: Teclas.ACCIONES.menu.evento
    }, {
        nombre: "calculadora",
        titulo: "Calculadora (F6)",
        onclick: Teclas.ACCIONES.calculadora.evento
    }, {
        nombre: "ayuda",
        titulo: "Ayuda (F1)",
        onclick: Teclas.ACCIONES.ayuda.evento
    } ]),

    init: function(elemento) {
        this.elemento = $(elemento);

        Barra.agregarSeparador();
        Barra.BOTONES.each(Barra.agregarBoton, this);
    },

    agregarBoton: function(boton) {
        var button = new Element("button", {
            title: boton.titulo,
            className: "boton",
            tabIndex: -1
        });
        
        button.img = new Element("img", {
            src: "img/barra/" + boton.nombre + ".png"
        });

        button.insert(button.img);
        this.elemento.insert(button);

        button.on("click", boton.onclick);
        
        return button;
    },

    agregarSeparador: function(boton) {
        this.elemento.insert(new Element("span", {
            className: "separador"
        }));
    }

};
